---
metadata:
  - name: generator
    content: Diplodoc Platform v5.39.1
alternate:
  - https://yandex.com.tr/support/forms/en/api-ref/keysets/events_v1_views_keysets_create_keyset_view.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/forms/en/llms.txt

<div class="openapi">

# Create key set for form filling

<!-- markdownlint-disable-file -->

Creates a key set that can be used to generate personal links for form filling. [How to generate a personal link](https://yandex.com/support/forms/publish#personal-link).

Parameters:
- **survey_id**: form ID

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://api.forms.yandex.net/v1/surveys/{survey_id}/keysets
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_survey_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Pattern:_{.json-schema-reset .json-schema-assertion} `^[a-fA-F\d]{24}$`

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "name": "example",
  "total": 0,
  "is_enabled": true
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_is_enabled_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

Active key set flag
{.table-cell}
||
||

_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Key set name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_total_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Number of keys in the set
{.table-cell}
||
|#{.json-schema-properties}

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

OK

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "id": 0,
  "name": "example",
  "total": 0,
  "used": 0,
  "is_enabled": true
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Key set ID
{.table-cell}
||
||

_is_enabled_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

Active key set flag
{.table-cell}
||
||

_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Key set name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_total_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Number of keys in the set
{.table-cell}
||
||

_used_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Number of used keys in the set
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.